<?php
/*
header( "Content-Type: text/plain" );
header( "Content-Disposition: inline; filename=data.str" );

foreach( array_keys( $_GET ) as $param ) echo "$param => $_GET[$param]\n";
*/
if( (! isset( $_GET["session_id"] )) || (strlen( trim( $_GET["session_id"] ) ) < 1) ) {
    echo "Missing restart ID\n";
    exit;
}

$dir = realpath( dirname( __FILE__ ) . "/../../adit/sessions/bmrb-adit" );
/* this realpath is to sanitize the parameter */
$sessiondir = realpath( $dir . "/" . trim( $_GET["session_id"] ) );
//echo "$sessiondir\n";
if( ! is_dir( $sessiondir ) ) {
    echo "Session " . $_GET["session_id"] . " not found\n";
    exit;
}

$upldir = $sessiondir . "/upload";
$uplfiles = array();
if( is_dir( $upldir ) ) $uplfiles = glob( $upldir . "/*" );

$files = glob( $sessiondir . "/*.nmrif.post.nmrstr" );
$starfile = "";
if( count( $files ) == 1 ) $starfile = $files[0];
if( count( $files ) > 1 ) {
    $mtime = 0;
    foreach( $files as $file ) {
        if( filemtime( $file ) > $mtime ) {
            $mtime = filemtime( $file );
            $starfile = $file;
        }
    }
}

?>
<!DOCTYPE HTML>
<HTML lang="en_US">
<HEAD>
    <TITLE>Access to BMRB deposition</TITLE>
    <META name="ROBOTS" content="NONE">
    <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <META http-equiv="CACHE-CONTROL" content="NO-CACHE">
    <META http-equiv="EXPIRES" content="0">
    <META http-equiv="PRAGMA" content="NO-CACHE">
</HEAD>
<BODY>
    <div id="header" style="background-color: #cbdbff; border: solid 2px #33527b; border-radius: 5px; padding: 2em; margin: 1em 2em 0 2em;">
    <table style="width: 100%;">
    <tr>
        <td style="text-align: left;">
        <a href="http://www.bmrb.wisc.edu/">
        <img src="http://www.bmrb.wisc.edu/images/logo_bmrb.svg" style="margin-left: 2em;" alt="BMRB" title="BMRB homepage" height="60" width="60"></a>
        </td>
        <td style="text-align: center;">
        <h1 style="font-style: italic; margin-bottom: 0;">BMRB data deposition systems</h1>
        </td>
        <td style="text-align: right;">
        <span style="padding-right: 2em; display: block;">Member of</span>
        <a href="http://www.wwpdb.org/" target="_blank" class="right" style="padding-right: 2em;">
        <img src="http://www.bmrb.wisc.edu/images/logo_wwpdb.png" width="135" height="44" alt="WWPDB" title="World Wide Protein Data Bank"></a>
        </td>
    </tr>
    </table>
    </div> <!-- header -->

    <DIV id="content" style="padding: 2.2em; margin: 0 2em 0 2em; border: solid 2px rgb(225,225,225); border-radius: 9px;">
<?php
if( (count( $uplfiles ) < 1) && ($starfile === "") )
    echo "<h3 align=\"center\">No files found (invalid session ID?)</h3>";
else {
    if( $starfile !== "" ) {
        echo "<h2>NMR-STAR file</h2>\n";
        echo "<p><form method=\"get\" name\"" . basename( $starfile ) . "\" action=\"sendfile.php\">";
        echo "<input type=\"submit\" value=\"download\"> ";
        echo "<input type=\"hidden\" name=\"filename\" value=\"" . $starfile . "\">";
        echo basename( $starfile );
        echo "</form>\n";
    }
    if( count( $uplfiles ) > 0 ) {
        echo "<h2>Uploaded files</h2>\n";
        foreach( $uplfiles as $file ) {
            echo "<p><form method=\"get\" name\"" . basename( $file ) . "\" action=\"sendfile.php\">";
            echo "<input type=\"submit\" value=\"download\"> ";
            echo "<input type=\"hidden\" name=\"filename\" value=\"" . $file . "\">";
            echo basename( $file );
            echo "</form>\n";
        }
    }
}
?>
    </DIV>

<div id="footer" style="padding: 2em; margin: 0 2em 2em 2em; border-width: 2px; border-style: solid; border-color: white; border-radius: 3px; ">
    <table style="width: 100%;">
    <tr>
        <td style="text-align: center;">
            <a href="http://www.bmrb.wisc.edu">
            <img src="http://www.bmrb.wisc.edu/images/logo_bmrb.svg" style="margin-left: 2em;" alt="BMRB" title="BMRB homepage" height="60" width="60">
            </a>
        </td>
        <td style="text-align: center;">
            <a href="http://www.wwpdb.org">
            <img src="http://www.bmrb.wisc.edu/images/logo_wwpdb.png" alt="WWPDB" title="WWPDB homepage" height="60">
            </a>
        </td>
        <td style="text-align: center;">
            <a href="http://www.rcsb.org">
            <img src="http://www.bmrb.wisc.edu/images/logo_rcsb.png" style="margin-left: 2em;" alt="RCSB" title="RCSB homepage" height="60">
            </a>
        </td>
        <td style="text-align: center;">
            Funded by:
            <a href="http://www.nigms.nih.gov/" target="_blank" class="right" style="padding-right: 1em;">NIGMS</a>
        </td>
    </tr>
    </table>

    <div style="float: left; clear: both;">
        <p style="margin: 0 0 0 1em;">
        Questions, comments, and suggestions regarding this site, your BMRB entry or BMRB deposition tools can be sent to
        <a href='mailto:bmrbhelp@bmrb.wisc.edu'>bmrbhelp@bmrb.wisc.edu</a>
        <p style="margin: 0 0 0 1em;">
        Copyright &copy; The Board of Regents of the University of Wisconsin System.

        <p style="margin: 0 0 0 1em;">
<!-- this is so it doesn't show "Last Modified: nothing" when it can't figure it out -->
        Last Modified: <!--#echo var="LAST_MODIFIED" -->
    </div> <!-- float -->
<div style="clear: both; line-height: 0;">&nbsp;</div> <!-- doh -->
</div> <!-- footer -->

</body>
</html>
